{extends file='page.tpl'}
{block name="page_content"}
    <script src="https://code.jquery.com/jquery-2.2.4.min.js" integrity="sha256-BbhdlvQf/xTY9gja0Dq3HiwQF8LaCRTXxZKRutelT44=" crossorigin="anonymous"></script>

    <div> {if $data["verify_client"]}

    {if $data["message"]}
        <div class="alert alert-danger"> {$data["message"]} </div>
    {/if}
        <div>
            <div id="hepsipayFrameInit"></div>
        </div>
        <script type="text/javascript">
            <!--
            let frame_url = '{$data["frame_url"]}';
            let callback_url = '{$data["callback_url"]}';
            -->
        </script>
    {literal}
        <script type="text/javascript">
            <!--

            jQuery(function () {
                if (typeof HepsipaySdk === "undefined") {
                    let script = document.createElement("script");
                    script.type = 'text/javascript';
                    script.src = "https://images.hepsiburada.net/hepsipay/packages/pf/hepsipay-0.2.7.min.js";

                    script.onreadystatechange = () => {
                        fire_frame(frame_url);
                    };
                    script.onload = () => {
                        fire_frame(frame_url);
                    };

                    document.head.appendChild(script);
                } else {
                    fire_frame(frame_url);
                }
            });

            function fire_frame(frame_url) {
                if (!frame_url) return;
                const arg = {
                    frameUrl: frame_url,
                    frameDivId: "hepsipayFrameInit",
                    paymentStatusCallback: (status) => {
                    },
                    frameFailureCallback: (status) => {
                    },
                    onPaymentSuccessCallback: (status) => {
                    },
                    maxHeight: "800",
                    disableDynamicHeight: false,
                    showFramePaymentButton: true,
                    useApiCallOnSuccessCallback: false,
                    // selectedPaymentInfoCallback: callback,
                    overrideFontFamily: "Inter",
                    hideHeader: false,
                };
                HepsipaySdk.init(arg);
            }

            window.addEventListener("message", handle_message_events);

            function handle_message_events(event) {
                const {messageType, ...data} = event.data;

                switch (messageType) {
                    case "hp-payment-available-status":
                        break;
                    case "hp-restart-frame":
                        fire_frame(frame_url);
                        break;
                    case "hp-payment-success":
                        payment_success(data);
                        break;
                }
            }

            function payment_success(hepsipay_data) {
                if (!hepsipay_data) return;

                jQuery.ajax({
                    url: callback_url,
                    type: "POST",
                    data: {
                        hepsipay_payment_data: JSON.stringify(hepsipay_data),
                    },
                    success: function (response) {
                        let data = JSON.parse(response);
                        window.location = data.redirect_url;
                    },
                    error: function (xhr, status, error) {
                        console.log(xhr, status, error);
                    },
                });
            }

            //
            -->
        </script>
    {/literal}

    {else}

    {if $data["message"]}
        <div class="alert alert-danger"> {$data["message"]} </div>
    {else}
        <div class="alert alert-danger"> Sanal POS ayarları doğru yapılandırılmamış.</div>
    {/if}
    {/if}

    <div class="row">
        <div class="col-xs-6 pull-left float-left" align="left">
            <a class="btn btn-info" href="{$link->getPageLink('order', true, NULL, " step=3")|escape:'html'}"
               class="button_large">{l s='Other Payment Methods' mod='hepsipay'}</a>
        </div>
    </div>
</div>
{/block}